> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists auth tokens for a user with the specified UID.

# List

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /users/{uid}/auth_tokens
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /users/{uid}/auth_tokens:
    get:
      tags:
        - Auth Tokens
      summary: List
      description: Lists auth tokens for a user with the specified UID.
      operationId: list-authtokens
      parameters:
        - name: uid
          in: path
          description: An UID of a user.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: UID
              value: cometchat-uid-1
        - name: perPage
          in: query
          description: Number of auth tokens to return per page.
          schema:
            type: number
            default: 100
        - name: page
          in: query
          description: Page number for paginated results.
          schema:
            type: number
            default: 1
      responses:
        '200':
          description: A list of auth tokens
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        authToken:
                          type: string
                          description: The authentication token string
                        uid:
                          type: string
                          description: UID of the user this token belongs to
                        createdAt:
                          type: integer
                          description: Unix timestamp of token creation
                        platform:
                          type: string
                          description: Platform the token was created for
                        userAgent:
                          type: string
                          description: User agent string of the client
                        appInfo:
                          type: string
                          description: Application information
                  meta:
                    type: object
                type: object
              example:
                data:
                  - uid: cometchat-uid-1
                    authToken: cometchat-uid-1_1630306819c3027ce530b2367f3c97b4106f0cb8
                    createdAt: 1630306819
                meta:
                  pagination:
                    total: 1
                    count: 1
                    per_page: 100
                    current_page: 1
                    total_pages: 1
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````